body {
    margin: 0;
    padding: 0;
    width: 100vw;
    overflow-x: hidden;
    /* Changed to 'hidden' to prevent scrolling */
    position: relative;
    scroll-behavior: smooth;
}

body::before {
    content: "";
    position: fixed;
    /* Changed to 'fixed' to cover the viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('images/contact2.jpg');
    background-size: cover;
    /* Changed to 'cover' to cover the whole viewport */
    background-position: center;
    background-repeat: no-repeat;
    opacity: 1;
    z-index: -1;
    overflow-x: hidden;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    background-color:grey;
}
@keyframes SlideFromTop{
    0%{
        transform: translateY(100%);
        opacity: 0;
    }
    100%{
        transform:translateY(0%);
        opacity: 1;
    }
}
.container {
    max-width: 800px;
    padding: 20px;
    background-color: black;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    color: white;
    margin-bottom:3.5%;
    animation: SlideFromTop 0.5s ease;
    margin-left: auto;
    margin-right: auto;
    padding: 5%;
    overflow-x: hidden;
    margin-top: 90px;
    width: 100%;
}

.container h2 {
    text-align: center;
    font-size: 40px;
}
.blink{
    font-size:30px;
    text-align: center;
}
/* Form styling */
label,
input,
select,
textarea {
    display: block;
    width: 100%;
    margin-bottom: 15px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
    overflow-x: hidden;
}
form{
    overflow-x: hidden;
    width: 100%;
}

form button{
    background-color:royalblue;
    color:white;
    border: none;
    cursor: pointer;
    font-size: 25px;
    transition: 0.25s ease-in-out;
    margin-left: auto;
    margin-right: auto;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    padding:5px;
    overflow-x: hidden;
    width:100%;
}

form button:hover {
    background-color:white;
    color:royalblue;
    font-size: 30px;
}

.blink{
    padding: 5%;
    width: 100%;
}
.social1 {
    display: flex;
    flex-direction: row;
    /* Change flex-direction to row */
    margin-top: 1%;
    justify-content: center;
    height: 100%;
    width: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
}

.social1 svg {
    width: 50px;
    /* Increase the width */
    height: 50px;
    /* Increase the height */
    margin: 0 10px;
    /* Optional: Add margin between icons for spacing */
    transition: 0.35s ease-in-out;
    overflow: hidden;
}
.social1 svg:hover {
    transform: rotate(360deg);
    /* Rotate the icon 360 degrees on hover */
    overflow: hidden;
}
svg{
    overflow: hidden;
}

.h-captcha{
    max-width: fit-content;
    overflow-x: hidden;
    width: 100%;
}
.lalagyan{
    width: 100%;
    overflow-x: hidden;
}
.space{
    height: 100%;
}
.powered{
    margin-top: 10%;
}
h5{
    font-size: 25px;
    padding-bottom: 20px;
    overflow-x: hidden;
}
h2{
    font-size: 35px;
    padding-bottom: 20px;
    overflow-x: hidden;
}
@keyframes showDetails {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }

    100% {
        transform: translateX(0%);
        opacity: 1;
    }
}
#contact-details{
    padding-top: 80px;
    background-color: whitesmoke;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    overflow-x: hidden;
    animation: showDetails 1s ease;
}
h6{
    font-size: 18px ;
    padding-bottom: 20px;
    overflow-x: hidden;
}
h3{
    font-size: 20px;
    padding-bottom: 20px;
    overflow-x: hidden;
}

#contact-details .details svg{
    width: 20px;
    height: 20px;
}

li{
    list-style: none;
    overflow-x: hidden;
}
li svg{
    margin-right: 5px;
}
.details li{
    display: flex;
    flex-direction: row;
    overflow-x: hidden;
}
.details{
    width: 40%;
    margin-left: 20px;
}
#contact-details .mapa{
    width: 55%;
    height: 400px;
}
#contact-details .mapa iframe{
    width: 100%;
    height: 100%;
}

@media(max-width:1024px){
    .container{
        margin-bottom: 20%;
    }
    #contact-details{
        flex-direction: column-reverse;
        justify-content: center;
    }
    #contact-details .mapa{
        width: 90%;
        overflow-x: hidden;
        overflow-y: hidden;
    }
    #contact-details .details{
        width: 100%;
        padding-left: 5px;
        overflow-x: hidden;
    }
}
@media(max-width:555px) {
    .blink {
        font-size: 6vw;
    }
    .container{
        margin-bottom:12%;
    }
    .details{
        width: 100%;
        height: 100%;
    }
    .mapa{
        width: 100%;
        object-fit: contain;
    }
    iframe{
        width: 100%;
        object-fit: cover;
    }
}
@media (max-width: 350px){
    .social1 svg {
        width: 15vw;
        height: 15vw;
        margin: 0 10px;
        transition: 0.35s ease-in-out;
    }
    nav{
        top: 0;
        left: 0;
        right: 0;
        position:fixed;
    }
    body{
        object-fit: fill;
        overflow-x: hidden;
        width: 100vw;
    }
}